net.sf.jlinkgrammar

## Class MyRandom

- java.lang.Object
- - net.sf.jlinkgrammar.MyRandom

-     public class MyRandom
      extends java.lang.Object

  TODO add javadoc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static int` | `random_count`
    `(package private) static boolean` | `random_inited`
    `(package private) static int[]` | `random_state`
    `(package private) static int[]` | `randtable`
    `(package private) static int[]` | `table`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyRandom()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static void` | `init_randtable()`
    `(package private) static void` | `my_random_finalize()`
    `(package private) static void` | `my_random_initialize(int seed)`
    `(package private) static int` | `my_random()`
    `(package private) static int` | `next_power_of_two_up(int i)`
    `(package private) static int` | `step_generator(int d)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### random_state

          static int[] random_state

    - #### random_count

          static int random_count

    - #### random_inited

          static boolean random_inited

    - #### randtable

          static int[] randtable

    - #### table

          static int[] table

  - ### Constructor Detail

    - #### MyRandom

          public MyRandom()

  - ### Method Detail

    - #### step_generator

          static int step_generator(int d)

    - #### my_random_initialize

          static void my_random_initialize(int seed)

    - #### my_random_finalize

          static void my_random_finalize()

    - #### my_random

          static int my_random()

    - #### init_randtable

          static void init_randtable()

    - #### next_power_of_two_up

          static int next_power_of_two_up(int i)